http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/integrations/{integrationId}/integrationresponsesGets the IntegrationResponses for an Integration.
The API identifier.
The integration ID.
The maximum number of elements to be returned for this resource.
The next page of elements from this collection. Not valid for the last element of the collection.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/integrations/{integrationId}/integrationresponsesGets the IntegrationResponses for an Integration.
The API identifier.
The integration ID.
The maximum number of elements to be returned for this resource.
The next page of elements from this collection. Not valid for the last element of the collection.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}